次の方法で共有


Private Endpoint Connections - Update

プライベート エンドポイント接続を更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2026-01-01

URI パラメーター

名前 / 必須 説明
privateEndpointConnectionName
path True

string

プライベート エンドポイント接続の名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

resourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$

管理対象クラスター・リソースの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
properties.privateLinkServiceConnectionState True

PrivateLinkServiceConnectionState

サービスconsumerとプロバイダー間の接続の状態に関する情報の集合体です。

properties.privateEndpoint

PrivateEndpoint

プライベート エンドポイントのリソース。

応答

名前 説明
200 OK

PrivateEndpointConnection

リソース 'PrivateEndpointConnection' 更新操作に成功しました

201 Created

PrivateEndpointConnection

リソース 'PrivateEndpointConnection' の作成操作に成功しました

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Update Private Endpoint Connection

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/privateEndpointConnections/privateendpointconnection1?api-version=2026-01-01

{
  "properties": {
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    }
  }
}

応答のサンプル

{
  "name": "privateendpointconnection1",
  "type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    },
    "provisioningState": "Succeeded"
  }
}
{
  "name": "privateendpointconnection1",
  "type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    },
    "provisioningState": "Succeeded"
  }
}

定義

名前 説明
ConnectionStatus

private linkのサービス接続状況。

createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

PrivateEndpoint

接続が属するプライベート エンドポイント。

PrivateEndpointConnection

プライベート エンドポイント接続

PrivateEndpointConnectionProvisioningState

現在のプロビジョニング状態。

PrivateLinkServiceConnectionState

プライベート リンク サービス接続の状態。

systemData

リソースの作成と最後の変更に関連するメタデータ。

ConnectionStatus

private linkのサービス接続状況。

説明
Pending

接続は承認待ちです。

Approved

接続が承認されました。

Rejected

接続が拒否されました。

Disconnected

接続が切断されています。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

PrivateEndpoint

接続が属するプライベート エンドポイント。

名前 説明
id

string

プライベート エンドポイントのリソース ID

PrivateEndpointConnection

プライベート エンドポイント接続

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.privateEndpoint

PrivateEndpoint

プライベート エンドポイントのリソース。

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

サービスconsumerとプロバイダー間の接続の状態に関する情報の集合体です。

properties.provisioningState

PrivateEndpointConnectionProvisioningState

現在のプロビジョニング状態。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProvisioningState

現在のプロビジョニング状態。

説明
Canceled

プライベートエンドポイント接続のプロビジョニングはキャンセルされました。

Creating

プライベートエンドポイント接続が作成されています。

Deleting

プライベートエンドポイント接続が削除されています。

Failed

プライベートエンドポイント接続のプロビジョニングが失敗しました。

Succeeded

プライベートエンドポイント接続のプロビジョニングは成功しました。

PrivateLinkServiceConnectionState

プライベート リンク サービス接続の状態。

名前 説明
description

string

プライベート リンク サービスの接続の説明。

status

ConnectionStatus

private linkのサービス接続状況。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。